delete from CORE.STD_TEMPLATE where TEMPLATE_NAME in (
	'refDataLinks', 'footerContent', 'homepageContent', 'systemNotification', 'homepageAnnouncement')
GO

INSERT INTO CORE.STD_TEMPLATE
           ([TEMPLATE_NAME]
           ,[TEMPLATE_BODY]
           ,[CREATED_BY]
           ,[CREATED_DATE]
           ,[MODIFIED_BY]
           ,[MODIFIED_DATE])
     VALUES
           ('refDataLinks'
           ,cast('<li id="pcmmRefProgInfo" role="menuitem" aria-haspopup="true">
<a href="#" title="sub menu">Primary Care Links</a>
<ul id="pcmmRefProgInfoMenu" role="menu">
        <li role="menuitem"><a href="http://vaww.infoshare.domain/sites/primarycare/mh/pcmhinfo/default.aspx?RootFolder=%2fsites%2fprimarycare%2fmh%2fpcmhinfo%2fShared%20Documents%2fPCMM%20%28Primary%20Care%20Management%20Module%29&FolderCTID=&View=%7b4E8C0E34%2d315B%2d4F28%2dB4CE%2dB052DEDBC523%7d" target="_blank" title="menu item">VSS SharePoint</a></li>
        <li role="menuitem"><a href="http://vaww.vistau.domain.ext/VistaU/PCMM/PCMM.htm" target="_blank" title="menu item">VSS Training</a></li>
		<li role="menuitem"><a href="http://vssc.domain.ext/pcmm/PCMMCoorList.asp" target="_blank" title="menu item">VSSC VSS List</a></li>
</ul>' as varbinary(max))
           ,'Initial Load'
           ,current_timestamp
           ,'Initial Load'
           ,current_timestamp)
GO

INSERT INTO CORE.STD_TEMPLATE
           ([TEMPLATE_NAME]
           ,[TEMPLATE_BODY]
           ,[CREATED_BY]
           ,[CREATED_DATE]
           ,[MODIFIED_BY]
           ,[MODIFIED_DATE])
     VALUES
           ('footerContent'
           ,cast('<ul style="padding-top: 5px; padding-bottom: 5px; margin-top: 0px; margin-bottom: 0px">
    <li><span style="color: red"><b>WARNING:</b> All
                    VSS actions are audited and reported by this application.
    </span></li>
    <li>If you are experiencing problems or have a question about VSS, please contact the VA Service Desk at (888) 596-4357.</li>
</ul>' as varbinary(max))
           ,'Initial Load'
           ,current_timestamp
           ,'Initial Load'
           ,current_timestamp)
GO

INSERT INTO CORE.STD_TEMPLATE
           ([TEMPLATE_NAME]
           ,[TEMPLATE_BODY]
           ,[CREATED_BY]
           ,[CREATED_DATE]
           ,[MODIFIED_BY]
           ,[MODIFIED_DATE])
     VALUES
           ('homepageContent'
           ,cast('<!--<table>
	<tr>
		<td>VA Voluntary Services (VAVS) operates one of the largest volunteer programs in the Federal Government, supplementing staff and resources in all areas of patient care and support. Its mission is to provide a structured volunteer program under the management of Department of Veterans Affairs (VA) compensated employees in cooperation with community resources to serve Veterans and their families with dignity and compassion.  The Voluntary Services System (VSS) tracks volunteers, their assignments, schedules, hours, and their affiliated organizations. It also tracks donations and provides information regarding volunteer data for a variety of purposes.
<p>
VAVS volunteers assist Veterans by augmenting staff in settings such as hospital units, community living centers, ambulatory care, outpatient clinics, domiciliary, community-based volunteer programs, home-based respite programs, end-of-life care programs, Veterans outreach centers, national cemeteries, and Veterans Benefits Administration (VBA) Regional Offices. VAVS volunteers and their organizations annually contribute millions of dollars in gifts, donations, and time. Monetary estimates aside, it is impossible to calculate the amount of caring and sharing VAVS volunteers give to Veteran patients. Volunteers are a priceless asset to these Veterans and to VA.

			<ul>
					<li>For VSS permission changes, please contact your <a
							class="pcmmLink" target="_blank"
							href="http://vssc.domain.ext/pcmm/PCMMCoorList.asp">VISN or Facility VSS Coordinator</a>.
					</li>
			</ul>

		</td>
	</tr>
</table>-->' as varbinary(max))
           ,'Initial Load'
           ,current_timestamp
           ,'Initial Load'
           ,current_timestamp)
GO


INSERT INTO CORE.STD_TEMPLATE
           ([TEMPLATE_NAME]
           ,[TEMPLATE_BODY]
           ,[CREATED_BY]
           ,[CREATED_DATE]
           ,[MODIFIED_BY]
           ,[MODIFIED_DATE])
     VALUES
           ('systemNotification'
           ,cast('' as varbinary(max))
           ,'Initial Load'
           ,current_timestamp
           ,'Initial Load'
           ,current_timestamp)
GO

INSERT INTO CORE.STD_TEMPLATE
           ([TEMPLATE_NAME]
           ,[TEMPLATE_BODY]
           ,[CREATED_BY]
           ,[CREATED_DATE]
           ,[MODIFIED_BY]
           ,[MODIFIED_DATE])
     VALUES
           ('homepageAnnouncement'
           ,cast('VSS will begin its initial operating capability in 2016.' as varbinary(max))
           ,'Initial Load'
           ,current_timestamp
           ,'Initial Load'
           ,current_timestamp)
GO