package gov.va.vss.persistence.impl.lookup;

import java.util.List;

import org.springframework.stereotype.Repository;

import gov.va.vss.model.lookup.VtkState;
import gov.va.vss.persistence.dao.lookup.VtkStateDAO;
import gov.va.vss.persistence.impl.GenericHibernateSortedDAOImpl;

@Repository
public class VtkStateDAOImpl extends GenericHibernateSortedDAOImpl<VtkState> implements VtkStateDAO {

	@Override
	public VtkState findByFIPSCode(String fipsCode) {
		@SuppressWarnings("unchecked")
		List<VtkState> results = query("from " + VtkState.class.getName() + " where vaCode = :fipsCode")
				.setParameter("fipsCode", fipsCode).getResultList();
		return results.isEmpty() ? null : results.get(0);
	}

}
