package gov.va.vss.persistence.dao;

import java.time.LocalDate;
import java.util.List;

import gov.va.vss.model.VoluntaryServiceStaff;

public interface VoluntaryServiceStaffDAO extends CustomizableAppDAO<VoluntaryServiceStaff> {

	/**
	 * 
	 * @param stationNum
	 *            TODO
	 * @param appUserName TODO
	 * @param activeAsOfDate TODO
	 * @return The list of Voluntary Service Staff matching the above criteria
	 */
	List<VoluntaryServiceStaff> findByCriteria(String stationNum, String appUserName, LocalDate activeAsOfDate);
	
}
