package gov.va.vss.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import gov.va.vss.model.facility.Location;
import gov.va.vss.service.LocationService;
import gov.va.vss.service.validation.ServiceValidationException;

@Service
public class LocationServiceImpl extends AbstractServiceImpl implements LocationService {
	private static final Logger log = LoggerFactory.getLogger(LocationServiceImpl.class);

	@Override
	public Location saveOrUpdate(Location location) throws ServiceValidationException {
		/* Business-level validations */

		location = locationDAO.saveOrUpdate(location);
		return location;
	}

	@Override
	public void delete(long locationId) {
		locationDAO.delete(locationId);
	}

}
