<%@ include file="../shared/inc_header.jsp"%>

<script type="text/javascript">
	$(function() {
		$('#effectiveDate').enableDateTimePicker({
			showOn : "button",
			buttonImage : "/images/calendar.gif",
			buttonImageOnly : true
		});

		$("#effectiveDate").mask("${TWO_DIGIT_DATE_TIME_MASK}");
	});
</script>

<fieldset id='statusCreationFS' style="border: 1px solid black;">
	<legend>Status Setup</legend>

	<table width="100%">
		<tr valign="top">
			<td class='appFieldLabel' style="padding: 4px; text-align: right"><label
				id='statusIdLbl' name='statusIdLbl' for='statusId' width="40%">
					Select Status:<span class="invisibleRequiredFor508">*</span>
			</label></td>
			<td class='appFieldLabel' style="padding: 4px; text-align: center"><span
				class='requdIndicator'>*</span></td>
			<td style="padding: 4px"><app:select
					items="${allStatusTypes}" id="statusId"
					path="timelineCommand.status" itemLabel="name" /> <app:errors
					path="timelineCommand.status" cssClass="msg-error" />
				<br> <span id='statusIdError' style="padding: 4px"></span></td>
		</tr>
		<tr valign="top">
			<td class='appFieldLabel' style="padding: 4px; text-align: right"
				width="40%"><label id='effectiveDateLbl'
				name='effectiveDateLbl' for='effectiveDate'>Effective Date
					for Status Change:<span class="invisibleRequiredFor508">*</span>
			</label></td>
			<td class='appFieldLabel' style="padding: 4px; text-align: center"><span
				class='requdIndicator'>*</span></td>
			<td class='appFieldLabel' style="padding: 4px; text-align: left">
				<form:input id="effectiveDate" cssClass="dateTimePicker"
					path="timelineCommand.effectiveDate" /> <br> <app:errors
					path="timelineCommand.effectiveDate"
					cssClass="msg-error" /> <br>
			</td>
		</tr>

		<tr align="center" valign="top">
			<td class='appFieldLabel' style="text-align: right; padding: 4px"
				width="40%">&nbsp;<label id='statusChangeReasonLbl'
				name='statusChangeReasonLbl' for='statusChangeReason'>Select
					Status Change Reason:<span class="invisibleRequiredFor508">*</span>
			</label>
			</td>
			<td class='appFieldLabel' style="padding: 4px; text-align: center">
				<span class='requdIndicator'>*</span>
			</td>
			<td class='appFieldLabel' style="padding: 4px; text-align: left">
				<app:select items="${reasonList}" id="statusChangeReason"
					path="timelineCommand.reasonCode" itemValue="code" itemLabel="name" />
				<app:errors path="timelineCommand.reasonCode"
					cssClass="msg-error" /> <br> <span
				id='statusChangeReasonError' style="padding: 4px"></span>
			</td>
		</tr>
	</table>
</fieldset>