package gov.va.shared.config;

import static org.springframework.context.annotation.FilterType.REGEX;

import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.Import;

@Configuration
@ComponentScan(basePackages = {
		"gov.va.shared", }, excludeFilters = @ComponentScan.Filter(type = REGEX, pattern = { "gov.va.shared.web.*" }) )
@EnableAspectJAutoProxy(proxyTargetClass = true)
@Import({ BaseDataConfig.class, LdapConfig.class })
public class BaseConfig extends AbstractConfig {

}
