package gov.va.vss.model.batchExample;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.batch.item.ItemWriter;

public class LogItemWriter implements ItemWriter<TickerData> {

	private static final Logger LOG = LoggerFactory.getLogger(LogItemWriter.class);

	public void write(List<? extends TickerData> items) throws Exception {
		for (TickerData ticker : items) {
			LOG.info(ticker.toString());
		}
	}

}