package gov.va.vss.persistence.dao;

import java.time.ZonedDateTime;
import java.util.List;

import gov.va.vss.model.NationalOfficial;
import gov.va.vss.model.Organization;

public interface NationalOfficialDAO extends CustomizableSortedDAO<NationalOfficial> {

	/**
	 * 
	 * @param organization TODO
	 * @param activeAsOfDate TODO
	 * @return The list of National Officials matching the above criteria
	 */
	List<NationalOfficial> findByCriteria(Long organizationId, ZonedDateTime activeAsOfDate);

}
