package gov.va.vss.web.conversion;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import gov.va.vss.model.lookup.NACStatus;
import gov.va.vss.persistence.dao.lookup.NACStatusDAO;


@Component(value = "nacStatusConverter")
public class NACStatusConverter extends AbstractStringToPersistentConverter<NACStatus> {

	@Autowired
	protected NACStatusConverter(NACStatusDAO dao) {
		super(dao);
	}
}
