<%@ include file="inc_header.jsp"%>

<script type="text/javascript">
	$(function() {
		<c:if test="${not empty param.rowDetailsFunction}">
			/* Insert a 'details' column to the table */
			var nCloneThNoPlus = document.createElement('th')
			
		    var nCloneTh = document.createElement('th')
		    /**Adding a plus/minur expandall/collapseall icon to the header row **/
		    nCloneTh.innerHTML = '<img alt="click to expand" src="${imgHome}/plus.gif">';
		    nCloneTh.className = "center";
		    nCloneTh.id = "allRowsController";
		    
		    var nCloneTd = document.createElement('td')
		    nCloneTd.innerHTML = '<img alt="click to expand" src="${imgHome}/plus.gif">'
		    nCloneTd.className = "center";
		    nCloneTd.style.width="1"
		    
	    	var nCloneTdNoPlus = document.createElement('td')
		    
	    	$('#${param.dataTableId} thead tr').not(':last').each(function () {
	    		var filterCell = nCloneTdNoPlus.cloneNode(true)
	    		filterCell.className = "noborder"
		        this.insertBefore(filterCell, this.childNodes[0])
		    })
		    
		    $('#${param.dataTableId} thead tr:last-child').each(function () {
		        this.insertBefore(nCloneTh.cloneNode(true), this.childNodes[0])
		    })
		     
		    $('#${param.dataTableId} tbody tr').each(function () {
		    	this.insertBefore(nCloneTdNoPlus.cloneNode(true), this.childNodes[0])
		    })
		    
		     $('#${param.dataTableId} tfoot tr').each(function () {
		        this.insertBefore(document.createElement('td'), this.childNodes[0])
		    })
		    
	    	/** click on header image calls click on all child row details **/
	    	 $('#${param.dataTableId} thead tr th img').click(function(event) {
	    		 if (!this.src.match('minus') && !this.src.match('plus'))
			    		return;
	    		 
	    		 event.stopPropagation()
	    		 
	    		 if (this.src.match('minus')) {
	    			    /* We have to close all open rows */
			            /* Change the header image */
			            this.src = '/images/plus.gif';
			            /* Only trigger click on rows that are open ie where src for image contains minus */
			            $('#${param.dataTableId} tbody td img').each(function(){
			    			if (this.src.match('minus')) {
			    				$(this).click()
			    			} 
			    		 })	
		        } else {
		        	/* We have to open all closed rows */
		        	/* Change the header image */
		            this.src = '/images/minus.gif';
		            
		            /* Only trigger click on rows that are closed ie where src for image contains plus */
		            $('#${param.dataTableId} tbody td img').each(function() {
		    			if (this.src.match('plus')){
		    				$(this).click()
		    			} 
		    		 })
		        }
	    	 })
		</c:if>
		
	    var theDataTable = $('#${param.dataTableId}').DataTable({
	    	buttons: [{
				extend: 'collection',
				text: 'Export',
				buttons: [
  		    		'copy', 'csv', 'excel', {
  		    			extend : 'pdfHtml5',
  		    			orientation : 'landscape'
  		    		}, 'print'
  	  		    ]
			}],
			
	    	<c:if test="${not empty param.rowDetailsFunction}">
	    		 /* If we have a details column, don't sort on it */
		    	 "columnDefs": [
	                 {"orderable": false, "targets": [0]}
	             ],
	    	</c:if>
	    		 
	    	<c:if test="${not empty param.dom}">
	    		"dom": '${param.dom}',
	    	</c:if>
	    	<c:if test="${empty param.dom}">
	    		"dom": '<"top"fBi>rt<"bottom"pl><"clear">',
	    	</c:if>
	    		
	    	<c:if test="${not empty param.drawCallBackFn}">
	    	"drawCallback": ${param.drawCallBackFn},
	    	</c:if>
	    	"lengthMenu" : [ [ 10, 50, -1 ],
	    	 				[ 10, 50, "All" ] ],
	    	 <c:choose>
	    		 <c:when test="${not empty param.defaultSort}">
	    			"order":${param.defaultSort},
	    		 </c:when>
	   			<c:otherwise>
	   				"order": [],
	   			</c:otherwise>
   			</c:choose>
	    	"pageLength": 10,
	    	"pagingType": "full_numbers",
	    	"stateSave": true,
	    	<c:if test="${not empty param.stripeClasses}">
	    	"stripeClasses" : [${param.stripeClasses}],
	    	</c:if>
		})
	    
	    if (!$.appfn) $.appfn = new Object()
	    
	    $.appfn.refreshRowDetailsLinks${param.dataTableId} = function() {
    	<c:if test="${not empty param.rowDetailsFunction}">
	    	var imgPlus = $('<img alt="click to expand" src="${imgHome}/plus.gif">')
			var imgMinus = $('<img alt="click to expand" src="${imgHome}/minus.gif">')
	    
	    	$('#${param.dataTableId} tbody tr td:first img').remove()
	    	$('#${param.dataTableId} tbody tr').each(function() {
	    		var theChildData = ${param.rowDetailsFunction}(this) 
		    	if (theChildData != null) {
		    		$('td:first', this).append(imgPlus.clone())
		    		theDataTable.row(this).child(theChildData)
		    	}
	    	})
	    	 
	    	$('#${param.dataTableId} tbody td img').live('click', function() {
		    	if (!this.src.match('minus') && !this.src.match('plus'))
		    		return
		    	
		        var nTr = this.parentNode.parentNode;
		        if (this.src.match('minus')) {
		            /* This row is already open - close it */
		            this.src = '/images/plus.gif'
		            theDataTable.row(nTr).child.hide()
		        } else {
		            /* Open this row */
		            this.src = '/images/minus.gif'
		            theDataTable.row(nTr).child.show()
		        }
	    	})
	    </c:if>
	    }
	    
	    $.appfn.refreshRowDetailsLinks${param.dataTableId}()
	    rebuildTableFilters('${param.dataTableId}')
	    
	    // $("#${param.dataTableId}_filter").hide()
	})
	
	<%-- Don't allow both a refreshDataMethod AND a rowDetails function, that gets complicated. CPB --%>
	<c:if test="${not empty param.refreshDataMethod and not empty param.rowDetailsFunction}">
		displayAttentionDialog("Sorry, the jqueryTable doesn't support both the refreshDataMethod AND the rowDetailsFunction params simultaneously.")
	</c:if>
	<c:if test="${not empty param.refreshDataMethod and empty param.rowDetailsFunction}">
		function ${param.refreshDataMethod}(r) {
			var table = $('#${param.dataTableId}').DataTable()
			table.clear()
			table.rows.add(r)
	        table.draw()
			rebuildTableFilters('${param.dataTableId}')
		}
	</c:if>
</script>

<c:set var="bodyCellTextAlign" value="left" />
<c:if test="${not empty param.bodyCellTextAlign}">
	<c:set var="bodyCellTextAlign" value="${param.bodyCellTextAlign}" />
</c:if>

<style>
#${param.dataTableId} {
	border:thin solid;	
}

#${param.dataTableId} th {
	font-weight: bold;
	text-align: center;
	padding: 3px 18px 3px 10px;
	margin: 3px;
	background-color: #B9CFE6;
}

#${param.dataTableId} td {
	text-align: ${bodyCellTextAlign};
	padding: 3px 4px;
	margin: 3px 4px;
}

#${param.dataTableId} #allRowsController{
	padding: 3px 4px;
	margin: 3px 4px;
}
</style>