<%@ include file="../shared/inc_header.jsp"%>

<script type="text/javascript">
	$(function() {
		$('#dobInput').enableDatePicker({
			showOn : "button",
			buttonImage : "${imgHome}/calendar.gif",
			buttonImageOnly : true
		})

		$("#dobInput").mask("${TWO_DIGIT_DATE_MASK}");
	})
</script>

<form:form method="post" action="${home}/volunteerSubmit.htm"
	id="volunteerForm">
	<div style="display: inline-block">
		<div class="leftHalf">
			<div class="volunteerInputFields">
				<fieldset>
					<legend>Master Record</legend>
					<div class="leftHalf">
						<table>
							<tr>
								<td class='appFieldLabel' nowrap><label for='lastNameInput'>Last
										Name:<span class="invisibleRequiredFor508">*</span>
								</label></td>
								<td style="padding: 4px; text-align: center" width="5%"><span
									class='requdIndicator'>*</span></td>
								<td><app:input id="lastNameInput" path="volunteer.lastName" />
									<app:errors path="volunteer.lastName" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel' nowrap>Middle Name / Initial:</td>
								<td></td>
								<td><app:input path="volunteer.middleName" /> <app:errors
										path="volunteer.middleName" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>Suffix:</td>
								<td></td>
								<td><app:input path="volunteer.suffix" /> <app:errors
										path="volunteer.suffix" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel' nowrap><label for='dobInput'>Date
										of Birth:</label></td>
								<td></td>
								<td nowrap><app:input size="10" id="dobInput"
										path="volunteer.dateOfBirth" cssClass="dateTimePicker" /> <app:errors
										path="volunteer.dateOfBirth" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel' nowrap><label
									for='preferredLanguageInput'>Preferred Language:</label></td>
								<td></td>
								<td nowrap><app:select items="${allLanguages}"
										id="preferredLanguageInput" path="volunteer.preferredLanguage"
										itemLabel="name" itemValue="id" /> <app:errors
										path="volunteer.preferredLanguage" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel' nowrap><label
									for='vaEmployeeInput'>VA Employee:</label></td>
								<td></td>
								<td nowrap><form:radiobutton path="volunteer.vaEmployee"
										value="true" />Yes <form:radiobutton
										path="volunteer.vaEmployee" value="false" />No <app:errors
										path="volunteer.vaEmployee" cssClass="msg-error" /></td>
							</tr>
						</table>
					</div>
					<div class="rightHalf">
						<table>
							<tr>
								<td class='appFieldLabel' nowrap>First Name:</td>
								<td></td>
								<td><app:input path="volunteer.firstName" /> <app:errors
										path="volunteer.firstName" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>    name:</td>
								<td></td>
								<td><app:input path="volunteer.nickname" /> <app:errors
										path="volunteer.nickname" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>Gender:</td>
								<td></td>
								<td><app:select items="${allGenders}" id="genderSelect"
										path="gender" itemLabel="name" itemValue="id" /> <app:errors
										path="gender" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>Age:</td>
								<td></td>
								<td><c:out value="${command.volunteer.age}" /> <c:if
										test="${command.volunteer.age < 21}"> (Youth)</c:if></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>Code:</td>
								<td></td>
								<td><app:input path="volunteer.identifyingCode" /> <app:errors
										path="volunteer.identifyingCode" cssClass="msg-error" /></td>
							</tr>
						</table>
					</div>
				</fieldset>
			</div>
			<div class="volunteerInputFields">
				<fieldset>
					<legend>
						Contact Information at
						<c:out value="${siteContext.stationNumber}" />
					</legend>
					<div class="leftHalf">
						<table>
							<tr>
								<td class='appFieldLabel' nowrap>Address Line 1:</td>
								<td><app:input
										path="stationProfile.contactInfo.addressLine1" /> <app:errors
										path="stationProfile.contactInfo.addressLine1"
										cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel' nowrap>Address Line 2:</td>
								<td><app:input
										path="stationProfile.contactInfo.addressLine2" /> <app:errors
										path="stationProfile.contactInfo.addressLine2"
										cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>Phone:</td>
								<td><app:input cssClass="phoneextmask"
										path="stationProfile.contactInfo.phone" /> <app:errors
										path="stationProfile.contactInfo.phone" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>Email:</td>
								<td><app:input cssClass="emailInput"
										path="stationProfile.contactInfo.email" /> <app:errors
										path="stationProfile.contactInfo.email" cssClass="msg-error" /></td>
							</tr>
						</table>
					</div>
					<div class="rightHalf">
						<table>
							<tr>
								<td class='appFieldLabel'>City:</td>
								<td><app:input path="stationProfile.contactInfo.city" /> <app:errors
										path="stationProfile.contactInfo.city" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>State:</td>
								<td nowrap><app:select items="${allStates}"
										id="stateSelect" path="state" itemLabel="postalName"
										itemValue="id" /> <app:errors path="state"
										cssClass="msg-error" /> Zip: <app:input
										path="stationProfile.contactInfo.zip" size="8" /> <app:errors
										path="stationProfile.contactInfo.zip" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel' nowrap>Alt Phone 1:</td>
								<td><app:input cssClass="phoneextmask"
										path="stationProfile.contactInfo.phoneAlternate" /> <app:errors
										path="stationProfile.contactInfo.phoneAlternate"
										cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel' nowrap>Alt Phone 2:</td>
								<td><app:input cssClass="phoneextmask"
										path="stationProfile.contactInfo.phoneAlternate2" /> <app:errors
										path="stationProfile.contactInfo.phoneAlternate2"
										cssClass="msg-error" /></td>
							</tr>
						</table>
					</div>
				</fieldset>
			</div>
		</div>
		<div class="rightHalf">
			<div class="volunteerInputFields">
				<fieldset>
					<legend>
						Combination Codes at
						<c:out value="${siteContext.stationNumber}" />
					</legend>
					<div class="leftHalf">
						<table>
							<tr>
								<td class='appFieldLabel'>Organization:</td>
								<td><app:select items="${allOrganizations}"
										id="organizationSelect" path="gender" itemLabel="name"
										itemValue="id" /> <app:errors path="gender"
										cssClass="msg-error" /></td>
							</tr>
						</table>
					</div>
					<div class="rightHalf">
						<table>
							<tr>
								<td class='appFieldLabel'>Phone:</td>
								<td><app:input path="nextOfKin.telephone"
										cssClass="phoneextmask" /> <app:errors
										path="nextOfKin.telephone" cssClass="msg-error" /></td>
							</tr>
						</table>
					</div>
				</fieldset>
			</div>
			<div class="volunteerInputFields">
				<fieldset>
					<legend>
						Next of Kin at
						<c:out value="${siteContext.stationNumber}" />
					</legend>

					<div class="leftHalf">
						<table>
							<tr>
								<td class='appFieldLabel'>Name:</td>
								<td><app:input path="nextOfKin.name" /> <app:errors
										path="nextOfKin.name" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel'>Relationship:</td>
								<td><app:input path="nextOfKin.relationship" /> <app:errors
										path="nextOfKin.relationship" cssClass="msg-error" /></td>
								<td width="30">&nbsp;</td>

							</tr>
						</table>
					</div>
					<div class="rightHalf">
						<table>
							<tr>
								<td class='appFieldLabel'>Phone:</td>
								<td><app:input path="nextOfKin.telephone"
										cssClass="phoneextmask" /> <app:errors
										path="nextOfKin.telephone" cssClass="msg-error" /></td>
							</tr>
							<tr>
								<td class='appFieldLabel' nowrap>Alternate Phone:</td>
								<td><app:input path="nextOfKin.telephoneAlternate"
										cssClass="phoneextmask" /> <app:errors
										path="nextOfKin.telephoneAlternate" cssClass="msg-error" /></td>
							</tr>
						</table>
					</div>
				</fieldset>
			</div>
		</div>
		<div style="clear: both" align="center">
			<input type="submit" /> <a id="cancelOperationBtn"
				class="buttonAnchor" href="${most_recent_breadcrumb}">Cancel</a>
		</div>
	</div>
</form:form>
