package gov.va.vss.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.junit.Before;
import org.springframework.mock.web.MockHttpServletRequest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.web.WebAppConfiguration;

import gov.va.shared.model.lookup.sds.VAFacility;
import gov.va.shared.model.lookup.sds.VAFacility.VAFacilityValue;
import gov.va.vss.AbstractTransactionalWebAppTest;
import gov.va.vss.config.AppConfig;
import gov.va.vss.config.WebConfig;
import gov.va.vss.config.testOnly.AppTestConfig;

// FIXVSS
@ContextConfiguration(classes = { AppConfig.class, AppTestConfig.class, WebConfig.class })
@WebAppConfiguration
public abstract class AbstractTransactionalControllerTest extends AbstractTransactionalWebAppTest {

	@Before
	protected void setupSessionContextSite() {
		HttpServletRequest servletRequest = new MockHttpServletRequest();
		final HttpSession session = servletRequest.getSession();

		VAFacility vaFacility = new VAFacility();
		vaFacility.setId(VAFacilityValue.CHEYENNE.getId());
		vaFacility.setName(VAFacilityValue.CHEYENNE.getName());
		// FIXVSS push this into session I believe
	}

}
