<%@ include file="../shared/inc_header.jsp"%>

<table style='width: 100%; text-align: center;'>
	<tbody>
		<tr>
			<td>
				<%--Include of a station multi select --%> <jsp:include
					page="../shared/inc_multiSelect_erichynds.jsp">
					<jsp:param name="reportParamId" value="StationId" />
					<jsp:param name="reportParamPrompt"
						value="Select one or more Stations" />
					<jsp:param name="selectedParamLabel" value="Selected Stations" />
					<jsp:param name="quickSearchPrompt"
						value="Type Part of Station Name/Number" />
					<jsp:param name="selectListPopulatorURI" value="/assignedStations" />
				</jsp:include>

			</td>
		</tr>
		<tr>
			<td>
				<%--Include of a search options multi select --%>
				<div id='searchOptionsDiv'>
					<label for='searchOption'>Select an option to report by:</label> <select
						id='searchOption' size="7">
						<option data-attribute-container-div-class="none"
							value='VolunteerAddressLabelsReport_All_v1'>All
							Volunteers</option>
						<option data-attribute-container-div-class="AgeFrom_container_div"
							value='VolunteerAddressLabelsReport_Age_v1'>By Age Range</option>
						<option
							data-attribute-container-div-class="BirthMonth_container_div"
							value='VolunteerAddressLabelsReport_BirthMonth_v1'>By
							Birth Month</option>
						<option
							data-attribute-container-div-class="OrganizationIds_container_div"
							value='Volunteer_AddressLabels_Organizations'>By
							Organization (Under Construction)</option>
						<option value='Volunteer_AddressLabels_Services'>By
							Service (Under Construction)</option>
						<option value='Volunteer_AddressLabels_Zip'>By Address
							Zip Code (Under Construction)</option>
						<option value='Volunteer_AddressLabels_SpecificVolunteers'>For
							Specific Volunteers (Under Construction)</option>
					</select>
				</div>
			</td>
		</tr>


		<tr>
			<td><jsp:include page="../shared/inc_reportParams_ageRange.jsp">
					<jsp:param name="reportParamFromId" value="AgeFrom" />
					<jsp:param name="reportParamFromPrompt"
						value="Select Volunteer Age From " />
					<jsp:param name="reportParamToId" value="AgeTo" />
					<jsp:param name="reportParamToPrompt" value="Age To " />
					<jsp:param name="numFromMin" value="1" />
					<jsp:param name="numFromMax" value="120" />
					<jsp:param name="numToMin" value="1" />
					<jsp:param name="numToMax" value="120" />
				</jsp:include></td>
		</tr>


		<tr>
			<td><jsp:include page="../shared/inc_multiSelect_erichynds.jsp">
					<jsp:param name="reportParamId" value="BirthMonth" />
					<jsp:param name="reportParamPrompt"
						value="Select one or more Birth Months" />
					<jsp:param name="selectedParamLabel" value="Selected Birth Months" />
					<jsp:param name="quickSearchPrompt" value="Type Part of Month Name" />
					<jsp:param name="selectListPopulatorURI" value="/monthsOfYear" />
				</jsp:include></td>
		</tr>

		<tr>
			<td><jsp:include page="../shared/inc_multiSelect_erichynds.jsp">
					<jsp:param name="reportParamId" value="OrganizationIds" />
					<jsp:param name="reportParamPrompt"
						value="Select one or more Volunteer Organizations" />
					<jsp:param name="selectedParamLabel"
						value="Selected Volunteer Organizations" />
					<jsp:param name="quickSearchPrompt"
						value="Type Part of Organization Name" />
					<jsp:param name="selectListPopulatorURI" value="/volunteerOrgs" />
				</jsp:include></td>
		</tr>

		<tr>
			<td>
				<%--Include of a generic SSRS form embed - TODO: Inject via a tile definition --%>
				<%@ include file="../shared/inc_ssrsReportEmbedForm.jsp"%>
			</td>
		</tr>

		<tr>
			<td>
				<%--Include of a Iframe target to stream the SSRS response - TODO: Inject via a tile definition --%>
				<%@ include file="../shared/inc_ssrsIframeEmbed.jsp"%>
			</td>
		</tr>

	</tbody>
</table>

<%--Report specific CSS and JS declarations - TODO: Encapsulate into separate CSS and JS files  --%>
<style>
.searchOptions {
	width: 200px;
}

.exclude {
	display: none;
}
</style>

<script type="text/javascript">
	function showHideParamDivs() {
		$('.ssrsParametersContainerDiv').hide()
		$("#searchOption > option").each(
				function() {
					var divToDisplayOrHide = $(this).attr(
							'data-attribute-container-div-class')
					if ($(this).is(':selected')) {
						if (divToDisplayOrHide != undefined) {
							$('#' + divToDisplayOrHide).show()
						}
					} else {
						if (divToDisplayOrHide != undefined) {
							$('#' + divToDisplayOrHide).hide()
						}
					}
				})
		$('#StationId_container_div').show()
	}

	function mapReportPath() {
		return "/" + $('#searchOption').val()
	}

	$(function() {
		$('#searchOption').selectmenu().addClass('searchOptions')
		
		showHideParamDivs()
		
		$('#searchOption').selectmenu({
			change : function(event, ui) {
				showHideParamDivs()
			}
		})
	})
</script>