package gov.va.vss.model;

import gov.va.shared.persistence.usertype.CodedEnum;

public enum LetterType implements CodedEnum {
	TYPE_1("TYPE_1", "Cash/Check/Credit Card/E-Donate In Memory Of"), //
	TYPE_2("TYPE_2", "Family Contact"), //
	TYPE_3("TYPE_3", "Cash/Check/Credit Card/E-Donate Not in Memory Of"), //
	TYPE_4("TYPE_4", "Activity Donation"), //
	TYPE_5("TYPE_5", "Item Donation");

	private String code;
	private String name;

	private LetterType(String code, String name) {
		this.code = code;
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public String getCode() {
		return code;
	}
	
	

}
