package gov.va.vss.web.letterTemplate;

import gov.va.vss.model.LetterTemplate;
import gov.va.vss.model.LetterType;
import gov.va.vss.model.lookup.VtkInstitution;

public class LetterTemplateCommand {

	private LetterTemplate letterTemplate;
	private LetterType type;
	private VtkInstitution facility;

	public LetterTemplateCommand() {
	}

	public LetterTemplateCommand(LetterTemplate letterTemplate) {
		this.letterTemplate = letterTemplate;
		this.type = letterTemplate.getType();
		this.facility = letterTemplate.getFacility();
	}

	public LetterTemplate getLetterTemplate() {
		return letterTemplate;
	}

	public void setLetterTemplate(LetterTemplate letterTemplate) {
		this.letterTemplate = letterTemplate;
	}

	public LetterType getType() {
		return type;
	}

	public void setType(LetterType type) {
		this.type = type;
	}

	public VtkInstitution getFacility() {
		return facility;
	}

	public void setFacility(VtkInstitution facility) {
		this.facility = facility;
	}

}
