package gov.va.vss.persistence.dao;

import java.util.Collection;
import java.util.List;

import gov.va.vss.model.BenefitingServiceRole;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface BenefitingServiceRoleDAO extends CustomizableSortedDAO<BenefitingServiceRole> {

	List<BenefitingServiceRole> findByCriteria(String name, boolean includeNationalScope, boolean includeLocalScope,
			Collection<Long> facilityIds, QueryCustomization... customization);

}
